org.apache.ignite.internal.pagemem.wal.record

## Class DataEntry

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.DataEntry

Direct Known Subclasses:
  LazyDataEntry

    public class DataEntry
    extends Object

### Field Summary

Fields
`protected int` `cacheId`
`protected long` `expireTime`
`protected KeyCacheObject` `key`
`protected GridCacheVersion` `nearXidVer`
`protected GridCacheOperation` `op`
`protected long` `partCnt`
`protected int` `partId`
`protected CacheObject` `val`
`protected GridCacheVersion` `writeVer`

### Constructor Summary

Constructors
Constructor and Description
`DataEntry(int cacheId, KeyCacheObject key, CacheObject val, GridCacheOperation op, GridCacheVersion nearXidVer, GridCacheVersion writeVer, long expireTime, int partId, long partCnt)`

### Method Summary

Methods
`int` `cacheId()`
`long` `expireTime()`
`KeyCacheObject` `key()`
`GridCacheVersion` `nearXidVersion()`
`GridCacheOperation` `op()`
`long` `partitionCounter()`
`int` `partitionId()`
`String` `toString()`
`CacheObject` `value()`
`GridCacheVersion` `writeVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cacheId

    protected int cacheId

#### key

    protected KeyCacheObject key

#### val

    protected CacheObject val

#### op

    @GridToStringInclude
    protected GridCacheOperation op

#### nearXidVer

    protected GridCacheVersion nearXidVer

#### writeVer

    @GridToStringInclude
    protected GridCacheVersion writeVer

#### expireTime

    protected long expireTime

#### partId

    @GridToStringInclude
    protected int partId

#### partCnt

    @GridToStringInclude
    protected long partCnt

### Constructor Detail

#### DataEntry

    public DataEntry(int cacheId,
             KeyCacheObject key,
             CacheObject val,
             GridCacheOperation op,
             GridCacheVersion nearXidVer,
             GridCacheVersion writeVer,
             long expireTime,
             int partId,
             long partCnt)

Parameters:
  `cacheId` - Cache ID.
  `key` - Key.
  `val` - Value.
  `op` - Operation.
  `nearXidVer` - Near transaction version.
  `writeVer` - Write version.
  `expireTime` - Expire time.
  `partId` - Partition ID.
  `partCnt` - Partition counter.

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache ID.

#### key

    public KeyCacheObject key()

Returns:
  Key cache object.

#### value

    public CacheObject value()

Returns:
  Value cache object.

#### op

    public GridCacheOperation op()

Returns:
  Cache operation.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near transaction version if the write was transactional.

#### writeVersion

    public GridCacheVersion writeVersion()

Returns:
  Write version.

#### partitionId

    public int partitionId()

Returns:
  Partition ID.

#### partitionCounter

    public long partitionCounter()

Returns:
  Partition counter.

#### expireTime

    public long expireTime()

Returns:
  Expire time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017